Invitation Emails
Retrieve the Invitation Email Settings
Success
InvitationEmailSettings
Invitation Connection Mode
Published Gateway IP
SSO
Whether SSO is Enabled or not
Invitation Authentication Type
Unauthorized
Not Found
GET /api/InvitationEmailSettings HTTP/1.1
Accept: */*
{
"targetDeviceLst": [
[
"0 = Windows",
"2 = Linux",
"3 = Mac",
"4 = iOS",
"5 = Android",
"6 = ChromeApp",
"7 = HTML5"
]
],
"connMode": [
"0 = Gateway",
"1 = Direct",
"2 = GatewaySSL",
"3 = DirectSSL"
],
"pubGatewayIP": "text",
"email": "text",
"sso": "text",
"ssoEnabled": true,
"authType": [
"0 = Credentials",
"1 = SSO",
"2 = SmartCard",
"3 = Web",
"4 = WebCredentials"
]
}Modify Invitation Email Settings. For each setting, the request has a corresponding parameter. To modify a setting, specify a matching parameter and its value.
The email content to be sent in the invitation.
If this parameter is included, the body content will be replaced with the default body content.
falsePublic Secure Gateway IP (IP:Gateway Port/SSL Port).
Third party credentials provider GUID (SSO).
Force to wrap third party SSO component.
Invitation Connection Mode
Invitation Authentication Type
No Content
No content
Unauthorized
Not Found
PUT /api/InvitationEmailSettings HTTP/1.1
Content-Type: application/json; api-version=1.0
Accept: */*
Content-Length: 365
{
"email": "text",
"defaultEmailContent": false,
"pubGatewayIP": "text",
"sso": "text",
"targetDevice": [
[
"0 = Windows",
"2 = Linux",
"3 = Mac",
"4 = iOS",
"5 = Android",
"6 = ChromeApp",
"7 = HTML5"
]
],
"ssoEnabled": true,
"connMode": [
"0 = Gateway",
"1 = Direct",
"2 = GatewaySSL",
"3 = DirectSSL"
],
"authType": [
"0 = Credentials",
"1 = SSO",
"2 = SmartCard",
"3 = Web",
"4 = WebCredentials"
]
}No content
Last updated